Bug 459883 - Review Request: rubygem-git - A package for using Git in Ruby code
Review Request: rubygem-git - A package for using Git in Ruby code
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jonathan Roberts
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-08-23 12:53 EDT by Jeroen van Meeuwen
Modified: 2008-10-03 18:35 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-10-03 18:31:43 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
jonrob.one: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Comment 1 Jonathan Roberts 2008-09-07 09:15:06 EDT
RPM Lint: Clear.
Package name: Clear
Spec file: Clear 
License: Clear
Actual License: Clear
%doc License: No license.
Spec file language: Clear.
Spec file readable: Clear.
Upstream source vs. used tarball: Clear
Compile and Build:
 - F-8: Builds
 - F-9: Builds
 - rawhide: Builds
 - EL-5: Builds

Applicable Package Guidelines:

Locales: - no other locales specified
Shared libs: none.

Relocatable: not applicable
Directory and file ownership: Clear.
No duplicate files in %files: Clear.
File Permissions: Clear. 
Macro usage: Clear.
Code vs. Content: Clear.
(Large) Documentation: Clear. 
%doc affecting runtime: Clear.
Header files in -devel package: Not applicable.
Static Libraries in -static package: Not applicable. 
pkgconfig Requires: Not applicable.
Library files: Not applicable.
Devel requires base package: Not applicable.
.la libtool archives: Not applicable.
Duplicate ownership of files/directories: Clear. 
Remove BuildRoot: Clear.
UTF-8 filenames: Clear.
Comment 3 Jonathan Roberts 2008-09-07 09:22:03 EDT
RPM Lint: Clear.
Package name: Clear
Spec file: Clear 
License: Clear
Actual License: Clear
%doc License: No license.
Spec file language: Clear.
Spec file readable: Clear.
Upstream source vs. used tarball: Clear
Compile and Build:
 - F-8: Builds
 - F-9: Builds
 - rawhide: Builds
 - EL-5: Builds

Applicable Package Guidelines:

Locales: - no other locales specified
Shared libs: none.

Relocatable: not applicable
Directory and file ownership: Clear.
No duplicate files in %files: Clear.
File Permissions: Clear. 
Macro usage: Clear.
Code vs. Content: Clear.
(Large) Documentation: Clear. 
%doc affecting runtime: Clear.
Header files in -devel package: Not applicable.
Static Libraries in -static package: Not applicable. 
pkgconfig Requires: Not applicable.
Library files: Not applicable.
Devel requires base package: Not applicable.
.la libtool archives: Not applicable.
Duplicate ownership of files/directories: Clear. 
Remove BuildRoot: Clear.
UTF-8 filenames: Clear.
Comment 4 Jason Tibbitts 2008-09-07 11:10:55 EDT
This seems to be missing the Requires: ruby(abi) = 1.8 line mandated by the guidelines.  http://fedoraproject.org/wiki/Packaging/Ruby

It's also missing the explicit build depencency on ruby, although I don't quite understand the point of that since rubygems should be pulling it in anyway.
Comment 6 Jonathan Roberts 2008-09-17 05:37:33 EDT
According to the guidelines, ruby packages *must* include a BuildRequires: ruby in the spec file, so could you add that to the spec?

Besides that, I'm happy with the package, but still don't have the ability to set + flags on fedora-review. 

Sorry it's taken me so long to return to this review!
Comment 7 Jeroen van Meeuwen 2008-09-24 07:57:34 EDT
The ruby build requires is implicit in the BuildRequires: rubygems, and as such has been accepted before.
Comment 8 Jonathan Roberts 2008-09-24 11:30:57 EDT
OK, cool with me then. But like I said, I don't have the ability to set + tag on fedora-review, so someone else will need to look into that. In the meantime, I'll look into getting the ability to set + tags!
Comment 9 Jonathan Roberts 2008-09-30 07:44:43 EDT
Figured out the permission problem, changed assignee and marked fedora-review + Sorry for any delays.
Comment 10 Jeroen van Meeuwen 2008-09-30 07:47:54 EDT
New Package CVS Request
=======================
Package Name: rubygem-git
Short Description: A package for using Git in Ruby code
Owners: kanarip
Branches: EL-5 F-8 F-9
InitialCC: kanarip
Comment 11 Jeroen van Meeuwen 2008-09-30 07:48:13 EDT
New Package CVS Request
=======================
Package Name: rubygem-git
Short Description: A package for using Git in Ruby code
Owners: kanarip
Branches: EL-5 F-8 F-9
InitialCC: kanarip
Comment 12 Kevin Fenzi 2008-10-01 14:57:03 EDT
cvs done.
Comment 13 Fedora Update System 2008-10-01 20:27:50 EDT
rubygem-git-1.0.7-4.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/rubygem-git-1.0.7-4.fc9
Comment 14 Fedora Update System 2008-10-01 20:27:53 EDT
rubygem-git-1.0.7-4.fc8 has been submitted as an update for Fedora 8.
http://admin.fedoraproject.org/updates/rubygem-git-1.0.7-4.fc8
Comment 15 David Lutterkort 2008-10-03 15:17:29 EDT
(In reply to comment #4)
> This seems to be missing the Requires: ruby(abi) = 1.8 line mandated by the
> guidelines.  http://fedoraproject.org/wiki/Packaging/Ruby
> 
> It's also missing the explicit build depencency on ruby, although I don't quite
> understand the point of that since rubygems should be pulling it in anyway.

The explicit 'BR: ruby' for rubygems was unintentional; would be better if FPC revises the wording so that plain ruby packages must have a 'BR: ruby' and rubygem packages a 'BR: rubygems'
Comment 16 Fedora Update System 2008-10-03 18:31:40 EDT
rubygem-git-1.0.7-4.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 17 Fedora Update System 2008-10-03 18:35:26 EDT
rubygem-git-1.0.7-4.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.